<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/white"
    android:orientation="vertical">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/manage_cl_localapp"
        android:layout_width="match_parent"
        android:layout_height="40dp"
        android:layout_margin="10dp"
        android:orientation="horizontal">

        <TextView
            android:id="@+id/textView"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="8dp"
            android:gravity="center_vertical"
            android:text="我的应用"
            android:textColor="@color/black"
            android:textSize="16sp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toEndOf="@+id/iv_my"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintVertical_bias="0.5" />

        <ImageView
            android:id="@+id/iv_my"
            android:layout_width="24dp"
            android:layout_height="24dp"
            android:adjustViewBounds="true"
            android:scaleType="centerInside"
            android:src="@drawable/icon_my_task"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <TextView
            android:id="@+id/manage_tv_appNum"
            android:layout_width="@dimen/dp_40"
            android:layout_height="wrap_content"
            android:layout_marginEnd="16dp"
            android:gravity="center_horizontal"
            android:text=""
            android:textSize="16sp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toStartOf="@+id/imageView1"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintVertical_bias="0.5" />

        <ImageView
            android:id="@+id/imageView1"
            android:layout_width="20dp"
            android:layout_height="20dp"
            android:layout_gravity="center_vertical"
            android:layout_marginEnd="32dp"
            android:background="@drawable/ic_kind_detail"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="parent" />
    </androidx.constraintlayout.widget.ConstraintLayout>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/manage_cl_download"
        android:layout_width="match_parent"
        android:layout_height="40dp"
        android:layout_margin="10dp"
        android:orientation="horizontal">

        <ImageView
            android:id="@+id/iv_download"
            android:layout_width="24dp"
            android:layout_height="24dp"
            android:adjustViewBounds="true"
            android:scaleType="centerInside"
            android:src="@drawable/icon_download_task"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="8dp"
            android:gravity="center_vertical"
            android:text="下载管理"
            android:textColor="@color/black"
            android:textSize="16sp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toEndOf="@+id/iv_download"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintVertical_bias="0.5" />

        <TextView
            android:id="@+id/manage_tv_taskNum"
            android:layout_width="@dimen/dp_40"
            android:layout_height="wrap_content"
            android:layout_marginEnd="16dp"
            android:gravity="center_horizontal"
            android:text=""
            android:textSize="16sp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toStartOf="@+id/imageView2"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintVertical_bias="0.5" />

        <ImageView
            android:id="@+id/imageView2"
            android:layout_width="20dp"
            android:layout_height="20dp"
            android:layout_gravity="center_vertical"
            android:layout_marginEnd="32dp"
            android:background="@drawable/ic_kind_detail"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="parent" />
    </androidx.constraintlayout.widget.ConstraintLayout>

    <include layout="@layout/include_line_horizontal" />

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="40dp"
        android:layout_margin="10dp"
        android:gravity="center_vertical"
        android:orientation="horizontal">

        <ImageView
            android:id="@+id/iv_update"
            android:layout_width="24dp"
            android:layout_height="24dp"
            android:adjustViewBounds="true"
            android:scaleType="centerInside"
            android:src="@drawable/icon_update_task"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="8dp"
            android:text="可升级应用"
            android:textColor="@color/black"
            android:textSize="16sp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toEndOf="@+id/iv_update"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintVertical_bias="0.5" />

        <TextView
            android:id="@+id/manage_tv_updateNum"
            android:layout_width="@dimen/dp_40"
            android:layout_height="wrap_content"
            android:layout_marginEnd="16dp"
            android:gravity="center_horizontal"
            android:text="0"
            android:textSize="16sp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toStartOf="@+id/imageView3"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintVertical_bias="0.5" />

        <ImageView
            android:id="@+id/imageView3"
            android:layout_width="20dp"
            android:layout_height="20dp"
            android:layout_gravity="center_vertical"
            android:layout_marginEnd="32dp"
            android:background="@drawable/ic_kind_detail"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="parent" />
    </androidx.constraintlayout.widget.ConstraintLayout>

    <include layout="@layout/include_line_horizontal" />

    <!--    <TextView-->
    <!--        android:id="@+id/tv_pripolicy"-->
    <!--        android:layout_width="wrap_content"-->
    <!--        android:layout_height="wrap_content"-->
    <!--        android:layout_marginStart="8dp"-->
    <!--        android:layout_marginTop="4dp"-->
    <!--        android:autoLink="all"-->
    <!--        android:text="@string/privacy_policy"-->
    <!--        android:textColor="@color/activation_color"-->
    <!--        android:textSize="16sp"-->
    <!--        android:visibility="visible" />-->

    <!--    <TextView-->
    <!--        android:id="@+id/tv_useragreement"-->
    <!--        android:layout_width="wrap_content"-->
    <!--        android:layout_height="wrap_content"-->
    <!--        android:layout_marginStart="8dp"-->
    <!--        android:autoLink="all"-->
    <!--        android:text="@string/user_agreement"-->
    <!--        android:textColor="@color/activation_color"-->
    <!--        android:textSize="16sp"-->
    <!--        android:visibility="visible" />-->

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/manage_rv_local"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:background="@color/white"
            android:overScrollMode="never"
            app:layout_constraintBottom_toTopOf="@+id/tv_version"
            app:layout_constraintTop_toTopOf="parent" />

        <ImageView
            android:id="@+id/iv_nodata"
            android:layout_width="300dp"
            android:layout_height="300dp"
            android:layout_centerInParent="true"
            android:adjustViewBounds="true"
            android:scaleType="centerInside"
            android:src="@drawable/icon_nodata"
            android:visibility="gone" />

        <TextView
            android:id="@+id/tv_version"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginBottom="8dp"
            android:textSize="14sp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent" />
    </androidx.constraintlayout.widget.ConstraintLayout>


</LinearLayout>